# Shortcuts

## Global Shortcuts

<table><thead><tr><th width="159">Shortcut</th><th width="183">Key Combination</th><th>Context</th><th>Note</th></tr></thead><tbody><tr><td>Find File</td><td>ctrl + f</td><td>Editor / Present</td><td>Find files in the current package. Pressing ctrl+f again will open the browser default finder.</td></tr><tr><td>Global Find</td><td>ctrl + p</td><td>Any</td><td>Opens a global search window that will search all folders</td></tr></tbody></table>

## SQL Editor Shortcuts

| Shortcut          |             | Context                                | Note                                                                                                                              |
| ----------------- | ----------- | -------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| Comment/Uncomment | ctrl + /    | Current line or selected lines         | Will comment out or uncomment lines in a SQL file. When the line contains a directive, it will commend or uncomment the directive |
| Indent            | tab         | Cursor Location or selected lines      |                                                                                                                                   |
| De-Indent         | shift + tab | Cursor location line or selected lines |                                                                                                                                   |

## Presentation Shortcuts

| Shortcut      | Key Combination |                                                                  |
| ------------- | --------------- | ---------------------------------------------------------------- |
| Draw on chart | ctrl (hold)     | Holding ctrl allows you to draw on a chart in presentation mode. |
| Clear Drawing | esc             | Pressing escape will clear the currently active drawing          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartsql.com/reference/shortcuts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
